<?php 
session_start();
if(!isset($_SESSION["dil"])){
	//dil seçimi yapılmadıysa varsayılan dil olarak ingilizceyi seçiyoruz.
	require_once("dil/en.php");
} else {
	//eğer kullanıcıdan dil parametresi alındıysa dili değiştiriyoruz.
	require_once("dil/".$_SESSION["dil"].".php");
}
?>
<!DOCTYPE html>
<html>
<head>
	<title><?php echo $dil["title"]; ?></title>
</head>
<body>
	<a href="index.php"><?php echo $dil["home_page"]; ?></a> - 
	<a href=""><?php echo $dil["register"]; ?></a> - 
	<a href=""><?php echo $dil["about_me"]; ?></a> - 
	<a href=""><?php echo $dil["login"]; ?></a>
	<hr>
	<a href="index.php?dil=tr"><img src="tr.png"></a>
	<a href="index.php?dil=al"><img src="al.png"></a>
	<a href="index.php?dil=en"><img src="en.png"></a>
	<hr>
	<?php
	if(isset($_GET["dil"])){
		$dil = $_GET["dil"];
		
		switch ($dil) {

			//get'ten gelen parametre tr'ye eşitse site dili türkçe olacaktır.
			case 'tr':
			$_SESSION["dil"]="tr";
			header("refresh: 3; url=index.php");
			echo "site dili türkçe seçildi";
			break;

		//get'ten gelen parametre en'e eşitse site dili ingilizce olacaktır.
			case 'en':
			$_SESSION["dil"]="en";
			header("refresh: 3; url=index.php");
			echo "site dili ingilizce seçildi";
			break;

		//get'ten gelen parametre al'ye eşitse site dili arnavutça olacaktır.
			case 'al':
			$_SESSION["dil"]="al";
			header("refresh: 3; url=index.php");
			echo "site dili arnavutça seçildi";
			break;
		}

	}

	?>

</body>
</html>